Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultFocusManager

    java.lang.Object
      |
      +--javax.swing.FocusManager
            |
            +--javax.swing.DefaultFocusManager

public class DefaultFocusManager
extends FocusManager

Default swing focus manager implementation.

Fields inherited from class javax.swing.FocusManager
`FOCUS_MANAGER_CLASS_PROPERTY`

Constructor Summary
`DefaultFocusManager()`

Method Summary
`boolean` | `compareTabOrder(java.awt.Component a, java.awt.Component b)` Return true if `a` should be before `b` in the "tab" order.
`void` | `focusNextComponent(java.awt.Component aComponent)` Cause the focus manager to set the focus on the next focusable component
`void` | `focusPreviousComponent(java.awt.Component aComponent)` Cause the focus manager to set the focus on the previous focusable component
`java.awt.Component` | `getComponentAfter(java.awt.Container aContainer, java.awt.Component aComponent)` Return the component the should receive the focus after aComponent
`java.awt.Component` | `getComponentBefore(java.awt.Container aContainer, java.awt.Component aComponent)` Return the component that should receive the focus before aComponent
`java.awt.Component` | `getFirstComponent(java.awt.Container aContainer)` Return the first component that should receive the focus
`java.awt.Component` | `getLastComponent(java.awt.Container aContainer)` Return the last component that should receive the focus
`void` | `processKeyEvent(java.awt.Component focusedComponent, java.awt.event.KeyEvent anEvent)`

Methods inherited from class javax.swing.FocusManager
`disableSwingFocusManager, getCurrentManager, isFocusManagerEnabled, setCurrentManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFocusManager

    public DefaultFocusManager()

Method Detail

### processKeyEvent

    public void processKeyEvent(java.awt.Component focusedComponent,
                                java.awt.event.KeyEvent anEvent)

  Overrides:
    processKeyEvent in class FocusManager

### focusNextComponent

    public void focusNextComponent(java.awt.Component aComponent)

  Cause the focus manager to set the focus on the next focusable component
  Overrides:
    focusNextComponent in class FocusManager

### focusPreviousComponent

    public void focusPreviousComponent(java.awt.Component aComponent)

  Cause the focus manager to set the focus on the previous focusable component
  Overrides:
    focusPreviousComponent in class FocusManager

### getFirstComponent

    public java.awt.Component getFirstComponent(java.awt.Container aContainer)

  Return the first component that should receive the focus

### getLastComponent

    public java.awt.Component getLastComponent(java.awt.Container aContainer)

  Return the last component that should receive the focus

### getComponentBefore

    public java.awt.Component getComponentBefore(java.awt.Container aContainer,
                                                 java.awt.Component aComponent)

  Return the component that should receive the focus before aComponent

### getComponentAfter

    public java.awt.Component getComponentAfter(java.awt.Container aContainer,
                                                java.awt.Component aComponent)

  Return the component the should receive the focus after aComponent

### compareTabOrder

    public boolean compareTabOrder(java.awt.Component a,
                                   java.awt.Component b)

  Return true if `a` should be before `b` in the "tab" order. Override this method if you want to change the automatic "tab" order. The default implementation will order tab to give a left to right, top down order. Override this method if another order is required.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.